跳转到主要内容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
balance-updates
钱包 - 余额变动
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountOwnerAddress": "<string>",
      "balanceChange": "<string>",
      "balanceChangeInNative": "<string>",
      "balanceChangeInUsd": "<string>",
      "blockHash": "<string>",
      "blockHeight": 123,
      "blockTimestamp": 123,
      "changeType": "INCREASE",
      "index": 123,
      "postBalance": "<string>",
      "postBalanceInNative": "<string>",
      "postBalanceInUsd": "<string>",
      "preBalance": "<string>",
      "preBalanceInNative": "<string>",
      "preBalanceInUsd": "<string>",
      "tokenAccountAddress": "<string>",
      "tokenAddress": "<string>",
      "transactionSignature": "<string>",
      "type": "SOL",
      "blockSlot": 123
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 支持的区块链

可用选项:
sol,
eth,
bsc
walletAddress
string
必填

钱包地址

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

每页返回结果数量

direction
enum<string>
默认值:next

分页方向

可用选项:
next,
prev
tokenAddress
string

代币地址

timeFrom
integer<int64>

开始时间戳(Unix 秒级时间戳)

timeTo
integer<int64>

结束时间戳(Unix 秒级时间戳)

type
enum<string>

余额类型筛选(SOL 为原生代币,SPL 为代币) 余额代币类型

可用选项:
SOL,
SPL
changeType
enum<string>

余额变动方向筛选(INCREASE 或 DECREASE) 余额变动类型

可用选项:
INCREASE,
DECREASE

响应

200 - application/json

成功响应

通用分页响应

data
object[]
必填

页数据

endCursor
string | null

当前页尾部游标

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

是否存在下一页

示例:

false

hasPrev
boolean

是否存在上一页

示例:

false

startCursor
string | null

当前页起始游标

示例:

"eyJpZCI6InN0YXJ0In0="